# $Id: smeserver-phpldapadmin.spec,v 1.16 2022/07/24 03:46:57 jpp Exp $
# Authority: nocvs
# Name: Michel Van hees

Summary: PhpLdapAdmin for SME server
%define name smeserver-phpldapadmin
Name: %{name}
%define version 1.6.0
%define release 6
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Apache
Source: %{name}-%{version}.tar.gz
#{name}-%{version}.patch.yyyymmddnn
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 10
Requires: phpldapadmin >= 1.2.6
Patch0: smeserver-phpldapadmin-1.6.0-Add-in-update-event-and-php-fpm-stuff.patch
Patch1: smeserver-phpldapadmin-1.6.0-password-hash-renamed-in-config.patch
Patch2: smeserver-phpldapadmin-1.6.0-Alter-config-auth-type.patch
Patch3: smeserver-phpldapadmin-1.6.0-Remove-intial-req-to-login.patch
Patch4: smeserver-phpldapadmin-1.6.0-bz12055-httpd24.patch
AutoReqProv: no

%changelog
* Sat Jul 23 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.6.0-6.sme
- update access to httpd24 syntax [SME: 12055]

* Wed Oct 06 2021 Brian Read <brianr@bjsystems.co.uk> 1.6.0-5.sme
- Remove-intial-req-to-login.patch [SME: 11699]

* Tue Oct 05 2021 Brian Read <brianr@bjsystems.co.uk> 1.6.0-4.sme
- Alter auth-type config parameter to cookie from http [SME: 11699]

* Mon Oct 04 2021 Brian Read <brianr@bjsystems.co.uk> 1.6.0-3.sme
- Update config to change password_hash to pla_ [SME: 11699 ]

* Mon Oct 04 2021 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Mon Oct 04 2021 Brian Read <brianr@bjsystems.co.uk> 1.6.0-2.sme
- change php to fpm and add -update event to createlinks [SME: 11699]

* Tue Sep 28 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 1.6.0-1.sme
- Initial release to contribs10 [SME: 11699]

* Sat Aug 22 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.5.0-2.sme
- Initial release to contribs9

* Sat Jun 21 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.5.0-1.sme
- Initial release to sme9

* Wed Nov 6 2013 JP Pialasse <tests@pialasse.com> 1.2.3-6.sme
- fix bug [SME: 5762]
- default admin read only but kamikaze mod for root modify access.

* Mon Nov 4 2013 JP Pialasse <tests@pialasse.com> 1.2.3-4.sme
- wrong template path for config file [SME: 7975]
- patching also incorrect template.
- error binding to server swith to http auth to prevent

* Sun May 26 2013 JP Pialasse <tests@pialasse.com> 1.2.3-1.sme
- remove phpldapadmin from package
- added Requires phpldapadmin-1.2.3-1
- clean spec file
- added default db value (patch file)

* Tue Jun 26 2007 Michel Van hees <michel@vanhees.cc>
  Thu Jun 26 2007 --> Thu Jun 21 2007 or Tue Jun 26 2007 or Thu Jun 28 2007 or ....
- Restart contrib from scratch
- Use of phpldapadmin 0.9.8.3

%description
SME server - phpldapadmin for smeserver

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
